use clap::Parser;

use sudoku::ksudoku::load_ksudoku;
use sudoku::sudoku::*;

// Command line arguments - via clap

#[derive(Parser)]
struct Cli {
    /// The path to the file to read
    filename: std::path::PathBuf,
}

fn main() {
    let args = Cli::parse();

    let puzzle = load_ksudoku(args.filename).unwrap();

    let mut s = Sudoku::new();
    // Ksudoku is stored TLD.
    s.load_from_tld('b', '_', puzzle.as_str());
    s.display();
    s.display_possible();

    while s.solve() {
        println!("Try it again...");
        s.display();
        s.display_possible();
    }
}
